<?php
namespace Claromentis\News\Comments;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_4e7af63a0a4c" . "1eafe5742f795" . "b98e323" => base64_decode("TmV3cyBj" . "b21tZW50" . "ICM="), "_d3c72043723006b65949" . "2f087ddf1fdf" => base64_decode("bm" . "V3" . "cw" . "=="), "_d50d529" . "d5739d10" . "3bc48e65" . "a4b513fe" . "3" => base64_decode("Q29tbWVudEFkZGV" . "kRXZlbnRSZWNlaX" . "Zlcg=="), "_2e799a34cc60c12" . "ca876d27b573a11e" . "b" => base64_decode("IGFkZGV" . "k"), "_191a9c694701b5e98f9b02b7" . "3105f5cf" => base64_decode("Q29tbWVudER" . "lbGV0ZWRFdm" . "VudFJlY2Vpd" . "mVy"), "comme" . "nt" => base64_decode("Y29tbWV" . "udA=="), "_e8d7d527b284" . "cadd317dfbdb1" . "0b34e4e" => base64_decode("Q29tbWVudFVwZGF0ZWRFdmVudFJ" . "lY2VpdmVy"));
use ClaAudit;
use Claromentis\Comments\Events\CommentAddedEvent;
use Claromentis\Comments\Events\CommentDeletedEvent;
use Claromentis\Comments\Events\CommentUpdatedEvent;
use Claromentis\Comments\Model\Comment;
use Claromentis\Search\Indexing\IndexingQueue;
use Claromentis\Search\ItemType\Indexing\News;
use NewsItem;
use Symfony\Component\EventDispatcher\EventDispatcherInterface;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;






class CommentsSubscriber implements EventSubscriberInterface
{
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [CommentAddedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_d50d529d5739d103b" . "c48e65a4b513fe3"], CommentDeletedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_191a9c694701b5e98f9b02b7310" . "5f5cf"], CommentUpdatedEvent::EVENT_NAME => $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_e8d7d527b284cadd317dfbdb10b3" . "4e4e"]];
    }
    public function CommentAddedEventReceiver(CommentAddedEvent $event, $_5693d84b45564f912e36404cbe8957e8, EventDispatcherInterface $dispatcher)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            
            
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                ClaAudit::Store(AUDIT_SUCCESS, $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_d3c72043723" . "006b659492f0" . "87ddf1fdf"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["co" . "mm" . "en" . "t"], $comment->object_id, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4e7af63a0" . "a4c1eafe57" . "42f795b98e" . "323"] . $comment->id . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_2e799a34cc60c12ca876" . "d27b573a11eb"]);
                $event->stopPropagation();
            }
        }
    }
    public function CommentDeletedEventReceiver(CommentDeletedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
    public function CommentUpdatedEventReceiver(CommentUpdatedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
}